%define _disable_ld_no_undefined 1
%define rel 1
%define git 0

%define major 0
%define libname %mklibname %{name} %major
%define libname_devel %mklibname -d %{name}

%if %{git}
%define srcname %{name}-%{git}.tar.xz
%define distname %{name}-%{git}
%define release 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}.tar.bz2
%define distname %{name}-%{version}
%define release %{rel}
%endif


Name: compiz
Version: 0.9.5.92.1
Release: %release
Summary: OpenGL composite manager for Xgl and AIGLX
Group: System/X11
License: GPLv2+,LGPLv2+,MIT
URL: http://www.compiz.org/
Source: http://cgit.compiz-fusion.org/compiz/core/snapshot/%{srcname}
Source1: compiz.defaults
Source2: compiz-window-decorator
Source3: kstylerc.xinit

# fedora sources bumped by x10
Source11: compiz-gtk
Source12: compiz-gtk.desktop
Source13: compiz-gnome.desktop
Source14: compiz-gnome.session

# (cg) Using git to manage patches
# To recreate the structure
# git clone git://git.freedesktop.org/git/xorg/app/compiz
# git checkout compiz-0.8.0
# git checkout -b mdv-0.8.0-cherry-picks
# git am 00*.patch
# git checkout -b mdv-0.8.0-patches
# git am 05*.patch

# To apply new custom patches
# git checkout mdv-0.8.0-patches
# (do stuff)

# To apply new cherry-picks
# git checkout mdv-0.8.0-cherry-picks
# git cherry-pick <blah>
# git checkout mdv-0.8.0-patches
# git rebase mdv-0.8.0-cherry-picks

# Mandriva Patches
# git format-patch --start-number 500 mdv-0.8.0-cherry-picks..mdv-0.8.0-patches
Patch501: 0501-Add-Mandriva-graphic-to-the-top-of-the-cube.patch
Patch502: 0502-Use-our-compiz-window-decorator-script-as-the-defaul.patch
Patch503: 0503-Do-not-put-window-decorations-on-KDE-screensaver.patch
# Next to impossible to rediff
#Patch504: 0504-Also-check-for-tfp-in-server-extensions.patch

# fedora patches
# Allow installation of GNOME keybindings without GNOME window manager
# settings stuff (sent upstream)
Patch122: compiz-0.9.2.1-keybindings.patch

BuildRequires: x11-util-macros
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxtst-devel
BuildRequires: libxcursor-devel
BuildRequires: libxrender-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: libxinerama-devel
BuildRequires: libxrandr-devel
BuildRequires: libxfixes-devel
BuildRequires: freetype2-devel
BuildRequires: xft2-devel
BuildRequires: fontconfig-devel

BuildRequires: mesagl-devel
BuildRequires: mesaglu-devel

BuildRequires: libpng-devel
BuildRequires: zlib-devel

BuildRequires: dbus-glib-devel
BuildRequires: libGConf2-devel
BuildRequires: libgnome-window-settings-devel
BuildRequires: libwnck-devel
BuildRequires: metacity-devel
BuildRequires: pango-devel
BuildRequires: gnome-desktop-devel
BuildRequires: libgnome-menu-devel
BuildRequires: gnome-panel-devel
BuildRequires: libglade2-devel
BuildRequires: startup-notification-devel
BuildRequires: libcanberra-gtk-devel
BuildRequires: libgtop2.0-devel

BuildRequires: kdebase4-devel
BuildRequires: kdebase4-workspace-devel
BuildRequires: kdelibs4-devel

BuildRequires: bonoboui-devel
BuildRequires: libxslt-devel
BuildRequires: libxslt-proc
BuildRequires: librsvg-devel
BuildRequires: libcairo-devel
BuildRequires: libsvg-cairo-devel
BuildRequires: fuse-devel
# needed by autoreconf:
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: cmake
BuildRequires: boost-devel
BuildRequires: glibmm2.4-devel


Requires(post): GConf2
Requires(preun): GConf2
Requires: %{libname} = %{version}-%{release}
Requires: compositing-wm-common
Provides: compositing-wm
Requires: compiz-decorator
Obsoletes: beryl-core

%description
Compiz is an OpenGL composite manager for Xgl and AIGLX.

#----------------------------------------------------------------------------

%package decorator-gtk
Summary: GTK window decorator for compiz
Group: System/X11
Provides: compiz-decorator
Conflicts: %{name} < 0.3.6-4mdv2007.1
Requires:  %{name} = %{version}-%{release}
Obsoletes: heliodor

%description decorator-gtk
This package provides a GTK window decorator for the compiz OpenGL
compositing manager.

#----------------------------------------------------------------------------

%package decorator-kde4
Summary: KDE4 window decorator for compiz
Group: System/X11
Provides: compiz-decorator
Requires:  %{name} = %{version}-%{release}

%description decorator-kde4
This package provides a KDE4 window decorator for the compiz OpenGL
compositing manager.

#----------------------------------------------------------------------------

%package -n %libname
Summary: Shared libraries for compiz
Group: System/X11
Conflicts: %{name} < 0.5.1
Obsoletes: %mklibname beryl-core 0

%description -n %libname
This package provides shared libraries for compiz.

#----------------------------------------------------------------------------

%package -n %libname_devel
Summary: Development files for compiz
Group: Development/X11
Provides:  %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Requires: %{libname} = %{version}-%{release}
Requires: png-devel
Requires: libxcomposite-devel
Requires: libxdamage-devel
Requires: libxfixes-devel
Requires: libxrandr-devel
Requires: libxinerama-devel
Requires: libice-devel
Requires: libsm-devel
Requires: startup-notification-devel
Requires: GL-devel
Requires: libxslt-devel
Requires: libxslt-proc
Requires: glib2-devel

Obsoletes: %mklibname -d beryl-core 0

%description -n %libname_devel
This package provides development files for compiz.

#----------------------------------------------------------------------------

%prep
%setup -qn %{distname}
%apply_patches

%build
%if %{git}
# no idea if this is still valid 2011-11-02
  # This is a CVS snapshot, so we need to generate makefiles.
  sh autogen.sh -V
%endif

# (cg) the QTDIR stuff is needed for kde3/qt3 (to find moc) :s
%cmake -DCOMPIZ_DEFAULT_PLUGINS="%{default_plugins}" \
    -DCOMPIZ_PACKAGING_ENABLED=ON \
	-DBUILD_GNOME_KEYBINDINGS=OFF \
	-DCOMPIZ_BUILD_WITH_RPATH=OFF \
	-DCOMPIZ_DISABLE_SCHEMAS_INSTALL=ON \
	-DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas ..
make -j2
#%%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build
pushd build
# This should work, but is buggy upstream:
# make DESTDIR=%{buildroot} findcompiz_install
# So we do this instead:
mkdir -p %{buildroot}%{_datadir}/cmake/Modules
cmake -E copy ../cmake/FindCompiz.cmake %{buildroot}%{_datadir}/cmake/Modules
popd

install -m755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}-window-decorator
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/compositing-wm/%{name}.defaults

%find_lang %{name}

#fedora sources
install %SOURCE11 %{buildroot}/%{_bindir}

# set up an X session
mkdir -p %{buildroot}%{_datadir}/xsessions
install %SOURCE13 %{buildroot}/%{_datadir}/xsessions
mkdir -p %{buildroot}%{_datadir}/gnome-session/sessions
install %SOURCE14 %{buildroot}/%{_datadir}/gnome-session/sessions

# create compiz keybindings file based on the metacity ones
# lifted straight from Ubuntu, as long as installation of the upstream
# ones is broken at least (I've reported this upstream)
mkdir -p %{buildroot}/%{_datadir}/gnome-control-center/keybindings
	sed 's/wm_name=\"Metacity\" package=\"metacity\"/wm_name=\"Compiz\" package=\"compiz\"/'  /usr/share/gnome-control-center/keybindings/50-metacity-launchers.xml > %{buildroot}/%{_datadir}/gnome-control-center/keybindings/50-compiz-launchers.xml
	sed 's/wm_name=\"Metacity\" package=\"metacity\"/wm_name=\"Compiz\" package=\"compiz\"/'  /usr/share/gnome-control-center/keybindings/50-metacity-navigation.xml > %{buildroot}/%{_datadir}/gnome-control-center/keybindings/50-compiz-navigation.xml
	sed 's/wm_name=\"Metacity\" package=\"metacity\"/wm_name=\"Compiz\" package=\"compiz\"/'  /usr/share/gnome-control-center/keybindings/50-metacity-screenshot.xml > %{buildroot}/%{_datadir}/gnome-control-center/keybindings/50-compiz-screenshot.xml
	sed 's/wm_name=\"Metacity\" package=\"metacity\"/wm_name=\"Compiz\" package=\"compiz\"/'  /usr/share/gnome-control-center/keybindings/50-metacity-system.xml > %{buildroot}/%{_datadir}/gnome-control-center/keybindings/50-compiz-system.xml
	sed 's/wm_name=\"Metacity\" package=\"metacity\"/wm_name=\"Compiz\" package=\"compiz\"/'  /usr/share/gnome-control-center/keybindings/50-metacity-windows.xml > %{buildroot}/%{_datadir}/gnome-control-center/keybindings/50-compiz-windows.xml
	sed -i 's#key=\"/apps/metacity/general/num_workspaces\" comparison=\"gt\"##g' %{buildroot}/%{_datadir}/gnome-control-center/keybindings/50-compiz-navigation.xml
	sed -i 's#key=\"/apps/metacity/general/num_workspaces\" comparison=\"gt\"##g' %{buildroot}/%{_datadir}/gnome-control-center/keybindings/50-compiz-windows.xml

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications \
	%SOURCE12

find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

# Define the plugins
# NB not all plugins are listed here as some ar packaged separately.
%define plugins annotate blur clone commands cube dbus decoration fade fs gconf glib gnomecompat ini inotify minimize move obs place png regex resize rotate scale screenshot svg switcher video water wobbly zoom
%define schemas compiz-core %(for plugin in %{plugins}; do echo -n " compiz-$plugin"; done)

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%post decorator-gtk
%post_install_gconf_schemas gwd

%preun decorator-gtk
%preun_uninstall_gconf_schemas gwd
%endif

%clean
rm -rf %{buildroot}

#----------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}-window-decorator
%dir %{_libdir}/%{name}
# why do a for loop if all the files go in the same pkg???
%{_libdir}/%{name}/lib*.so
# why do a for loop if all the files go in the same pkg???
%{_sysconfdir}/gconf/schemas/%{name}-*.schemas
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.xml
%dir %{_datadir}/%{name}/xslt
%dir %{_datadir}/%{name}/cube
%dir %{_datadir}/%{name}/cube/images
%{_datadir}/%{name}/xslt/*.xslt
%{_datadir}/%{name}/cube/images/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/compositing-wm/%{name}.defaults

%files decorator-gtk
%defattr(-,root,root)
%{_bindir}/compiz-gtk
%{_bindir}/gtk-window-decorator
%{_sysconfdir}/gconf/schemas/gwd.schemas
%{_datadir}/gnome-control-center/keybindings/50-%{name}-*.xml
%{_datadir}/applications/compiz-gtk.desktop
# split into gnome pkg ???
%{_datadir}/xsessions/compiz-gnome.desktop
%{_datadir}/gnome-session/sessions/compiz-gnome.session

%files decorator-kde4
%defattr(-,root,root)
%{_bindir}/kde4-window-decorator

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libdecoration.so.%{major}*

%files -n %libname_devel
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/libdecoration.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/libdecoration.pc
%{_datadir}/cmake/Modules/*cmake
%{_datadir}/%{name}/cmake


%changelog
* Wed Nov 02 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.9.5.92.1-1
+ Revision: 712374
- try to adjust make to not fail
- new version 0.9.5.92.1
  rediffed patches 0501,0502&0503
  added sources 11,12,13,&14 from fedora
  added p123 from fedora
  clean up of spec
  did not delete old mdv patches

  + Oden Eriksson <oeriksson@mandriva.com>
    - attempt to relink against libpng15.so.15

* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 0.8.8-3
+ Revision: 677615
- rebuild to add gconftool as req

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.8.8-2
+ Revision: 663393
- mass rebuild

* Fri Apr 01 2011 Funda Wang <fwang@mandriva.org> 0.8.8-1
+ Revision: 649621
- New version 0.8.8
  drop merged patches

* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 0.8.6-2mdv2011.0
+ Revision: 606044
- update BR
- add upstream patch to build with latest gtk

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Sun May 02 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.6-1mdv2010.1
+ Revision: 541653
- New version: 0.8.6
- Drop upstream cherry-picks

* Sat Mar 13 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-4mdv2010.1
+ Revision: 518613
- Tidyup: Remove old KDE3 decorator support + Always build KDE4 support
- Apply upstream fixes for various bugs.

* Mon Feb 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.4-3mdv2010.1
+ Revision: 509559
- Enable back kde4-decorator as it builds again

* Thu Dec 10 2009 Pascal Terjan <pterjan@mandriva.org> 0.8.4-2mdv2010.1
+ Revision: 475948
- Disable kde4 decorator (not building, and kde4 effects may be enough)

* Thu Oct 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 457724
- New version: 0.8.4

* Wed Sep 09 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.3-0.20090909.1mdv2010.0
+ Revision: 434858
- Update to latest snapshot to fix KDE decorator issue
- Drop patch506 (glxDestroyPixmap fix) as fixed differently upstream

* Thu Jun 18 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.2-3mdv2010.0
+ Revision: 387205
- Apparently we now need libgtop2.0-devel
- Use the official %%apply_patches macro
- Use glXDestroyPixmap rather than glXDestroyGLXPixmap (fdo#20704)

* Sun Apr 12 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.2-2mdv2009.1
+ Revision: 366476
- Require libcanberra-devel to build
- Enable some plugins by default. mdv#47900

* Sun Mar 15 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 355346
- don't remove non existing files
- add fedora patch to fix missing gtk decoration (#47900)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 0.8.2
    - Remove patch506 (merged upstream)

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20080208.1mdv2009.1
+ Revision: 338497
- More KDE3 build require fixes (libdbus-qt-1-devel would be pulled in by kdebase4)
- Disable KDE3 as it doesn't build on cluster and wont be needed for 2009.1 anyway
- 0.8 pre-release snapshot

* Thu Nov 20 2008 Olivier Blin <blino@mandriva.org> 0.7.8-4mdv2009.1
+ Revision: 305291
- keep kdebase4 devel buildrequires
- fix build with latest plasma, Plasma::PanelSvg has been renamed Plasma::FrameSvg and plasma has been moved to kdelibs
- fix source number
- replace kstylerc.xinit perl script with a shell script
- move kstylerc hack in compiz-decorator-kde

* Mon Nov 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-3mdv2009.1
+ Revision: 301898
- Fix qt3/kde3 build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new libxcb

* Thu Oct 02 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-2mdv2009.0
+ Revision: 290930
- Apply upstream cherry picks to fix various mem-leaks and possitioning bugs
- Apply upstream patch to prevent the loss of certain windows (namely firefox)
- Rearrange spec file to manage patches via git

* Thu Sep 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-1mdv2009.0
+ Revision: 285758
- New version: 0.7.8
- Drop revert of patch since upstream have (eventually) come to the same conclusion
- Drop decoration-command patch as fixed differently upstream

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284289
- New snapshot

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.7-0.20080713.3mdv2009.0
+ Revision: 280862
- Compiz fail to detect proper kde4 session to decorator as been started way before kde defines running a full session
  except when runing from console.
  Modify script to fallback on test desktop session too avoiding mistakes

* Wed Sep 03 2008 Frederic Crozat <fcrozat@mandriva.com> 0.7.7-0.20080713.2mdv2009.0
+ Revision: 279678
- Patch9: fix .desktop file for GNOME when using gnome-session >= 2.23.91

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234394
- Add build require on libglade2-devel
- Add build require on gnome-panel-devel
- Add build require on libgnome-menu-devel
- Update to latest snapshot
- Fix kde3 decorator (lib dir order problem)
- Some more macro tweaks for backporting (KDE3 releated)
- Some macro tweaks for backporting (KDE3 releated)
- Do not require kde3-macros on 2008.1
- Update to 0.7.6
- Make kde4 support conditional for backports
- Temporartily disable kde3 on cooker as it wont build

* Sat May 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.2mdv2009.0
+ Revision: 211025
- No longer define _disable_ld_no_undefined due to updated rpm-manbo-setup

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210181
- Add BuildRequire for KDE4 decorator
- Update to git snapshot
- Enable KDE4 decorator build
- Adapt our compiz-window-decorator script to automatically load the kde4 decorator if appropriate.

* Thu May 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.4-3mdv2009.0
+ Revision: 204607
- Restore functionality to kde 3 new path

* Mon Apr 21 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-2mdv2009.0
+ Revision: 196329
- Revert an upstream commit that interferes with decorator starting (will discuss with upstream)

* Sun Apr 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192651
- Fix a bug where rotation didn't complete properly (upstream)
- New version 0.7.4
- Drop patch for CVE-2007-3920 as this is fixed in Xserver now

* Fri Mar 14 2008 Anssi Hannula <anssi@mandriva.org> 0.7.2-3mdv2008.1
+ Revision: 187752
- re-enable autoreconf on 2008.0 and later as it fixes invalid rpath on
  lib64 systems, resulting in non-accelerated compiz with proprietary
  drivers
- buildrequire intltool for autoreconf
- run intltoolize after autoreconf to fix build

* Mon Mar 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-2mdv2008.1
+ Revision: 183402
- Restore the TFP in server extensions patch as compiz manager is not working too well for us.

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181119
- New version 0.7.2

* Sat Mar 01 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-4mdv2008.1
+ Revision: 177014
- Remove the patch for checking server extensions for t_f_p as this has been rejected upstream.
- Remove old patches that were accidentally committed.

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-3mdv2008.1
+ Revision: 173169
- Fix packaging properly to not require KDE on core package.

* Tue Feb 19 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-2mdv2008.1
+ Revision: 172967
- Split the kconfig plugin into a separate package to prevent unnecessary deps overload.

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 172283
- Cherry pick several patches from master (some needed for Fusion plugins)
- Fix spec typo
-Update config patches for new version.
-Upgrade to new version 0.7.0
- Remove versions from the build requires

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Restore conditional %%git.
      Later on this package patches can be stored in a mandriva branch at
      git.mandriva.com, as it already mirrors compiz upstream.

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.6.2-5mdv2008.1
+ Revision: 154682
- Updated BuildRequires and resubmit package.

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-4mdv2008.1
+ Revision: 141788
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - improved descriptions

* Tue Nov 06 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.2-3mdv2008.1
+ Revision: 106354
- Fix for CVE-2007-3920 (screensaver password bypass)

* Wed Oct 24 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.2-2mdv2008.1
+ Revision: 101678
- Potentially fix #29780 (screensaver locking up) by disabling decorations for windows where name=kdesktop_lock
- Do not update gconf schemas as they are autogenerated

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.2-1mdv2008.1
+ Revision: 100095
- New upstream version (0.6.2)

* Fri Oct 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-10mdv2008.0
+ Revision: 95542
- Make compiz start the window decorator on init again (this wont work with session saving but such is life)

* Wed Oct 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-9mdv2008.0
+ Revision: 95091
- Make the decorator command patch better

* Wed Oct 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-8mdv2008.0
+ Revision: 95025
- Fix #29769 by using compiz to start the decorator
- Fix a compiz bug that prevented decorator from being run if option value was not changed (e.g. on startup)

* Fri Sep 28 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-7mdv2008.0
+ Revision: 93465
- Automatically change config to load compiz-fusion when upgrading from beryl

* Tue Sep 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-6mdv2008.0
+ Revision: 92758
- Fixes kde-window-decorators and maximized windows (#32215)
- Use autoreconf on 2007.1 build

* Tue Sep 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-5mdv2008.0
+ Revision: 79532
- Drop minimize-unminimize patch as this appears to be now be solved via other means.
- Reorganise patch order.
- More minor changes to make for smooth backporting
- Run aclocal and friends (mainly for 2007.1)

  + Olivier Blin <blino@mandriva.org>
    - remove white borders fix, artefact is gone with recent Mesa
    - drop NET_WM_CM patch, it breaks --replace (thanks to ocilent1)
      (better fixed in upstream CM selection support, commits
       d9621f6fced9feda1c154c745be5c502f8a14568 and
       65cac43f1bdc8e999991f9022ab079fb7fa4b11f)

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-3mdv2008.0
+ Revision: 62118
- Add build dep on librsvg-devel for svg plugin.

* Tue Aug 07 2007 Olivier Blin <blino@mandriva.org> 0.5.2-2mdv2008.0
+ Revision: 59999
- do no load gconf plugin by default (#32251)

* Sat Aug 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 58860
- Update cube top image patch for 0.5.2
- Remove now default arguments from configure
- Do not run aclocal et al as this now breaks build
- Update to compiz 0.5.2

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070801.1mdv2008.0
+ Revision: 57834
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070725.1mdv2008.0
+ Revision: 55249
- Update Snapshot

* Mon Jul 16 2007 Olivier Blin <blino@mandriva.org> 0.5.1-0.20070712.2mdv2008.0
+ Revision: 52621
- add emerald support in compiz-window-decorator

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070712.1mdv2008.0
+ Revision: 52114
- Update snapshot

* Thu Jul 12 2007 Olivier Blin <blino@mandriva.org> 0.5.1-0.20070707.4mdv2008.0
+ Revision: 51441
- make library package conflict with old compiz since a file has been moved (to ensure smooth upgrades)

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070707.3mdv2008.0
+ Revision: 49645
- Update default settings to load 'glib gconf'

* Sat Jul 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070707.2mdv2008.0
+ Revision: 49594
- Libify compiz and add more Requires to devel package

* Sat Jul 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070707.1mdv2008.0
+ Revision: 49555
- Require xslt packages in -devel package.
- Update Snapshot to 20070707

* Sat Jul 07 2007 Götz Waschk <waschk@mandriva.org> 0.5.1-0.20070627.1mdv2008.0
+ Revision: 49499
- fix buildrequires

  + Olivier Blin <blino@mandriva.org>
    - buildrequires libxslt-devel

  + Colin Guthrie <cguthrie@mandriva.org>
    - Reenable all previous patches after rediffing
    - Update indirect-detection patch
    - Obsolete Beryl
    - Git snapshot from 20070627 to test new Fusion components.


* Sat Apr 07 2007 Olivier Blin <oblin@mandriva.com> 0.5.0-1mdv2007.1
+ Revision: 151022
- 0.5.0
- remove useless _COMPIZ_GL_INCLUDE_INFERIORS hack since cow is enabled by default in compiz nowadays
- remove merged restart support and kwd fixes
- enable fuse support

* Sun Mar 18 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-10mdv2007.1
+ Revision: 145718
- fix main schema installation (#29638)

* Fri Mar 16 2007 Laurent Montel <lmontel@mandriva.com> 0.3.6-9mdv2007.1
+ Revision: 144898
- Fix mem leak into kde-windows-decoration
  Add diff from 0.3.7 for kde-windows-decoration (fix crash, add shadow support)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3.6-8mdv2007.1
+ Revision: 144198
- Remove patch6 (no longer needed according to fedora)
- Fix Buildrequires : metacity decorations are back for gtk decorator

* Tue Mar 13 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-7mdv2007.1
+ Revision: 142163
- move gwd scheme in compiz-decorator-gtk (thanks to fcrozat)

* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-6mdv2007.1
+ Revision: 141303
- add png to default plugins (thanks to mikala)

* Sun Mar 04 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-5mdv2007.1
+ Revision: 132156
- add compiz-window-decorator wrapper to auto-detect window decorator

* Sun Mar 04 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-4mdv2007.1
+ Revision: 132084
- move decorators in compiz-decorator-gtk and compiz-decorator-kde (#29122)

* Fri Mar 02 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-3mdv2007.1
+ Revision: 131577
- buildrequires libdbus-qt-1-devel
- buildrequires kdebase-devel
- buildrequires kdelibs-devel after all
- buildrequires kdecore-devel
- fix qt library path for x86_64 in configure script
- enable kde-window-decorator

* Fri Feb 09 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-2mdv2007.1
+ Revision: 118642
- allow session manager to restart compiz if it crashes (from RH)
- add patch from gandalfn to workaround white boder shadows with AIGLX
- add GConf2 post/preun requires

* Mon Jan 01 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-1mdv2007.1
+ Revision: 103015
- 0.3.6
- revert upstream indirect rendering detection patch, it seems to require LIBGL_ALWAYS_INDIRECT

* Wed Dec 20 2006 Olivier Blin <oblin@mandriva.com> 0.3.4-2mdv2007.1
+ Revision: 100538
- activate all plugins by default

* Wed Nov 22 2006 Olivier Blin <oblin@mandriva.com> 0.3.4-1mdv2007.1
+ Revision: 86415
- 0.3.4

* Wed Nov 15 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-4mdv2007.1
+ Revision: 84229
- new release
- use find_lang macro
- add compiz.defaults file

* Tue Nov 14 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-3mdv2007.1
+ Revision: 84205
- make the devel package require GL-devel

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-2mdv2007.1
+ Revision: 83931
- add missing requires in the devel package
- simplify schemas installation
- remove unneeded configure flags
- update URL

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-1mdv2007.1
+ Revision: 83716
- add gwd schemas
- 0.3.2

* Sun Oct 15 2006 Olivier Blin <oblin@mandriva.com> 0.2.0-1mdv2006.0
+ Revision: 65130
- cosmetics and own some dirs
- 0.2.0
- move common compositing wm scripts/images in compositing-wm-common (configuration file is not backward compatible)
- provide compositing-wm

* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.11mdv2007.0
+ Revision: 61400
- fix LD_LIBRARY_PATH in compiz-start (#25439)

* Thu Sep 14 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.10mdv2007.0
+ Revision: 61345
- increase release (thanks to Colin Guthrie for all the help on #25429)
- use KDEWM to run compiz-start in KDE (#25429)
- use WINDOW_MANAGER to run compiz-start in Gnome (#25429)
- pass positionnal parameters from compiz-start to compiz
- move compiz/decorator actual start in compiz-start

* Fri Sep 08 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.9mdv2007.0
+ Revision: 60563
- use _libdir/mesa as LD_LIBRARY_PATH for compiz if Xgl is running

  + Antonio Hobmeir Neto <neto@mandriva.com>
    - + This is a provisory solution to fix a bug.
      - minimize and unminimize quickly one window, the window lost your original position.

* Wed Aug 30 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.7mdv2007.0
+ Revision: 58573
- add some useful patches from  Fedora

* Sat Aug 26 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.6mdv2007.0
+ Revision: 58062
- use new top image, and adapt schema to scale image

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.5mdv2007.0
+ Revision: 57988
- really make the sysconfig file a config file
- simplify compiz args handling
- allow to configure another window decorator (#24620)
- remove hardcoded compiz and window-decorator path
- don't start compiz if in failsafe or drak3d session
- disable compiz by default
- start compiz after dbus in xinit

  + vguardiola <vguardiola>
    - New image top of cube
    - Change top image

* Tue Aug 22 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.4mdv2007.0
+ Revision: 56904
- compiz-0.0.13-0.20060817.4mdv2007.0
- handle the no3ddesktop cmdline option
- require mesa-demos

* Sat Aug 19 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.3mdv2007.0
+ Revision: 56750
- sleep some seconds to prevent kwin from stealing the display
- auto-start compiz if possible
- compiz-0.0.13-0.20060817.3mdv2007.0
- automatically enable indirectRendering and strictBinding on AIGLX

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.2mdv2007.0
+ Revision: 56610
- 0.0.13-0.20060817.2mdv2007.0
- require COMPIZ to be explicitely set to 'yes' in sysconfig file
- use --indirect-rendering --strict-binding by in xinit script when Xgl isn't used
- split long description
- add compiz-mandriva.png.patch and drop compiz-mdv.schemas
- drop duplicated schema, better patch compiz to use mandriva.png as default image
- remove old source

* Fri Aug 18 2006 Sébastien Savarin <plouf@mandriva.org> 0.0.13-0.20060817.1mdv2007.0
+ Revision: 56560
- Add forgotten sources
-add compiz-mdv.schemas and mandriva.png

* Fri Aug 11 2006 Olivier Blin <oblin@mandriva.com> 0.0.12.98-5mdv2007.0
+ Revision: 55441
- bump release
- really install sysconfig file
- fix the "don't run configure twice" hack
- allow to start compiz in X session (config in /etc/sysconfig/compiz)
- don't run configure twice

  + Christiaan Welvaart <spturtle@mandriva.org>
    - add BuildRequires: libxcomposite-devel libxdamage-devel intltool

  + Thierry Vignaud <tvignaud@mandriva.com>
    - release
    - fix buildrequires for x86_64

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Fixed some typos
    - Added the options for AIGLX in the description
    - Adding compiz to the repository
    - Adding patches making it work when using AIGLX

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add registration of gconf schema

